* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

html {
  scroll-behavior: smooth;
}

body {
  background: #000;
  color: #fff;
  font-family: "Montserrat", sans-serif;
  overflow-x: hidden;
}

a {
  color: inherit;
  text-decoration: none;
}

h2 {
    border-bottom: #86A5FF 1px solid;
    padding-bottom: 1px;
    width: fit-content;
    margin: 0 auto 5% auto;
    text-align: center;
}

.strategie {
  min-height: 100vh;
  padding: 0 10%;
  display: flex;
  align-items: center;
  background-image:
    linear-gradient(to bottom, rgba(0,0,0,0.84) 50%, rgba(0,0,0,1) 100%),
    url("../img/comm/strategie.jpg");
  background-size: cover;
  background-position: center 35%;
}

.content {
  max-width: 800px;
}

.mini-title {
  color: #86A5FF;
  letter-spacing: 4px;
  text-transform: uppercase;
  margin-bottom: 20px;
}

.content h1 {
  font-size: 72px;
  line-height: 1;
  margin-bottom: 25px;
  font-weight: 500;
}

.content p {
  font-size: 20px;
  max-width: 650px;
  font-weight: 200;
}

.intro-strategie,
.details-strategie,
.process {
  padding: 80px 10%;
  text-align: center;
}

.intro-strategie {
  margin-top: 5%;
}

.container-text {
  max-width: 950px;
  margin: auto;
  padding: 50px;
  border: 1px solid rgba(255,255,255,0.15);
  background: rgba(255,255,255,0.04);
  border-radius: 16px;
}

h2 {
  font-size: 34px;
  font-weight: 400;
  margin-bottom: 30px;
}

.container-text p,
.strategie-card p,
.process-list p {
  font-weight: 200;
  line-height: 1.8;
}

.strategie-grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 30px;
  margin-top: 50px;
}

.strategie-card {
  text-align: left;
  padding: 35px;
  border: 1px solid rgba(134,165,255,0.35);
  border-radius: 16px;
  background: rgba(255,255,255,0.04);
  transition: 0.3s ease;
}

.strategie-card:hover {
  transform: translateY(-8px);
  background: rgba(134,165,255,0.08);
}

.strategie-card span {
  display: inline-block;
  color: #86A5FF;
  margin-bottom: 20px;
  font-size: 14px;
  letter-spacing: 3px;
}

.strategie-card h3 {
  font-size: 24px;
  font-weight: 400;
  margin-bottom: 15px;
  text-transform: uppercase;
}

.process-list {
  max-width: 800px;
  margin: auto;
  display: grid;
  gap: 15px;
}

.process-list p {
  padding: 18px;
  border-bottom: 1px solid rgba(255,255,255,0.15);
}

.cta-strategie {
  padding: 90px 10%;
  background: #000145;
  text-align: center;
  margin-top: 5%;
}

.cta-strategie h2 {
  margin-bottom: 30px;
  border-bottom: #86A5FF 0px solid;
}

.cta-strategie a {
  display: inline-block;
  padding: 15px 35px;
  background: white;
  color: #000;
  text-transform: uppercase;
  letter-spacing: 2px;
  font-size: 12px;
  font-weight: 600;
  transition: 0.3s;
  border-radius: 4px;
}

.cta-strategie a:hover {
  background: #86A5FF;
  transform: translateY(-3px);
}

@media screen and (max-width: 768px) {
  .content h1 {
    font-size: 42px;
  }

  h2 {
    font-size: 24px !important;
  }

  .strategie-grid {
    grid-template-columns: 1fr;
  }

  .container-text {
    padding: 30px;
  }
}


.strategie-card,
.container-text,
.process-list {
  opacity: 0;
  transform: translateY(40px);
  transition: opacity 0.8s ease, transform 0.8s ease;
}

.show {
  opacity: 1;
  transform: translateY(0);
}

.btn:hover { background: #86A5FF; transform: translateY(-2px); }






/* */

.contenu {
  min-height: 100vh;
  padding: 0 10%;
  display: flex;
  align-items: center;
  background-size: cover;
   background-image:
    linear-gradient(rgba(0,0,0,0.72), rgba(0,0,0,0.72)),
    linear-gradient(to bottom, rgba(0,0,0,0.2) 50%, rgba(0,0,0,1) 100%),
    url("../img/comm/contenu.jpg");
  background-position: center 35%;
}


.realisations {
  padding: 80px 25%;
  text-align: center;
}

.intro-realisations {
  max-width: 700px;
  margin: 0 auto 50px auto;
  font-weight: 200;
  opacity: 0.8;
}

.media-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 18px;
}

.media-item {
  width: 100%;
  max-width: 280px;

  aspect-ratio: 9 / 16;

  border-radius: 18px;
  overflow: hidden;

  border: 1px solid rgba(255,255,255,0.15);

  background: rgba(255,255,255,0.04);
}


.media-item img,
.media-item video {
  width: 100%;
  height: 100%;
  object-fit: contain;
  display: block;
}

@media screen and (max-width: 900px) {
  .media-grid {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media screen and (max-width: 600px) {
  .media-grid {
    grid-template-columns: 1fr;
  }
}

/* */


.top-management {
  min-height: 100vh;
  padding: 0 10%;
  display: flex;
  align-items: center;
  background-size: cover;
   background-image:
    linear-gradient(rgba(0,0,0,0.72), rgba(0,0,0,0.72)),
    linear-gradient(to bottom, rgba(0,0,0,0.2) 50%, rgba(0,0,0,1) 100%),
    url("../img/comm/management.jpg");
  background-position: center 35%;
}


/* */

.top-marque {
  min-height: 100vh;
  padding: 0 10%;
  display: flex;
  align-items: center;
  background-size: cover;
   background-image:
    linear-gradient(rgba(0,0,0,0.72), rgba(0,0,0,0.72)),
    linear-gradient(to bottom, rgba(0,0,0,0.2) 50%, rgba(0,0,0,1) 100%),
    url("../img/comm/identite.jpeg");
  background-position: center 35%;
}



/*---------------- PARTIE CONTACT ----------------*/

#contact{
    padding: 5% 10%;
    h2{
        border-bottom: #86A5FF 1px solid;
        padding-bottom: 1px;
        width: fit-content;
        margin: 0 auto 5% auto;
        text-align: center;
    }
    p:not(form p){
        text-align: center;
    }
    form{
        background-color: #161616;
        margin-top: 5%;
        border-radius: 10px;
        padding: 40px;
        display: flex;
        flex-direction: column;
        gap: 2rem;
        padding: 5% 10%;
        }
            
            .ligne {
            display: flex;
            flex-wrap: wrap;
            gap: 2rem;
            justify-content: space-between;
            }
            
            .champ {
            flex: 1;
            display: flex;
            flex-direction: column;
            }
            
            .champ label {
            margin-bottom: 0.5rem;
            font-weight: 300;
            }
            
            input, textarea {
            padding: 0.75rem;
            border-radius: 5px;
            border: none;
            font-size: 1rem;
            font-family: inherit;
            color: #000;
            }
            
            textarea {
            resize: none;
            }
            
            .conteneur-bouton {
            text-align: center;
            }
            
            button {
            padding: 0.75rem 2rem;
            font-size: 1rem;
            background-color: white;
            color: black;
            border: none;
            border-radius: 8px;
            cursor: pointer;
            }
}     